curl --request GET \
--url https://api.affinity.co/v2/companies/{companyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/companies/{companyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": [
"horizontech.com"
],
"isGlobal": true,
"fields": [
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "company-multi",
"data": [
{
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com"
},
{
"id": 2,
"name": "Crestwood Capital",
"domain": "crestwoodcap.com"
}
]
}
}
]
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Get a single Company
Returns basic information and non-list-specific field data on the requested Company.
To retrieve field data, you must use either the fieldIds or the fieldTypes parameter
to specify the Fields for which you want data returned.
These Field IDs and Types can be found using the GET /v2/companies/fields endpoint.
When no fieldIds or fieldTypes are provided, Companies will be returned without any field data attached.
To supply multiple fieldIds or fieldTypes parameters, generate a query string that looks like this:
?fieldIds=field-1234&fieldIds=affinity-data-location or ?fieldTypes=enriched&fieldTypes=global.
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
Company ID
1 <= x <= 9007199254740991Query Parameters
Field IDs for which to return field data
["field-1"]
Field Types for which to return field data
enriched, global, relationship-intelligence Response
OK
Company model
The company's unique identifier
1 <= x <= 90071992547409911
The company's name
"Horizon Technologies"
The company's primary domain
"horizontech.com"
All of the company's domains
["horizontech.com"]
Whether or not the company is tenant specific
true
The fields associated with the company
Show child attributes
Show child attributes
Was this page helpful?